# Sprint

In the 'sprint.go' file, change the struct and constructor to:

```go
type sprintService struct {
	txProvider     database.TxProvider
	repo           repositories.SprintRepo
	cerberusClient cerberus.CerberusClient
}

func NewSprintService(
	txProvider database.TxProvider,
	repo repositories.SprintRepo,
	cerberusClient cerberus.CerberusClient) SprintService {
	return &sprintService{
		txProvider:     txProvider,
		repo:           repo,
		cerberusClient: cerberusClient,
	}
}
```

And the 'Create' function:

```go
.
.
.
err = s.cerberusClient.ExecuteWithCtx(ctx, s.cerberusClient.CreateResourceCmd(sprint.Id, projectId, common.Sprint_RT))
if err != nil {
	if rbe := tx.Rollback(); rbe != nil {
		err = fmt.Errorf("rollback error (%v) after %w", rbe, err)
	}
	return repositories.Sprint{}, err
}

return sprint, tx.Commit()
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.a11n.io/tutorial/implementation/backend/services/sprint.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
